# Copyright 2021 Citrix
# SPDX-License-Identifier: MIT OR Apache-2.0
# There is NO WARRANTY.

[package]
name = "gitforge"
version = "0.2.0"
edition = "2018"
description = "uniform access to git forges (gitlab and github)"
# author = "Ian Jackson / Xen Project / Citrix"
repository = "https://gitlab.com/xen-project/misc/rust-gitforge"
license = "MIT OR Apache-2.0"
keywords = ["github", "gitlab"]
categories = ["command-line-utilities", "api-bindings"]

[features]
default = ["gitlab", "github"]
gitlab = [ "gitlab_crate"]
github = [ "octocrab","tokio"]

[dependencies]
anyhow = "1"
derive_more = "0.99"
directories="3"
env_logger="0.8"
fehler = "1"
itertools = "0.10"
log="0.4"
ron = "0.6"
thiserror = "1"
serde = { version = "1", features = ["derive"] }
strum = { version = "0.21", features = ["derive"] }
structopt="0.3"

gitlab_crate = { package="gitlab", version = "0.1311", optional=true }
# wat a version!  Also cargo conflates of features and packages!  wat!

octocrab = { version = "0.9" , optional=true }
tokio    = { version = "1"   , optional=true }
